Bug 463249 - document netdev_budget
document netdev_budget
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
medium Severity low
: rc
: ---
Assigned To: Stanislaw Gruszka
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 13:44 EDT by Andrew Hecox
Modified: 2009-09-02 04:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add netdev_budget to proc.txt (543 bytes, patch)
2008-09-22 13:45 EDT, Andrew Hecox
no flags Details | Diff

  None (edit)
Description Andrew Hecox 2008-09-22 13:44:08 EDT
The kernel parameters netdev_budget is not documented in kernel-docs. Since it may have a substantial effect on at least some network loads, it should be.

Eg, for market-data (small packet, UDP) loads:

sz  drops  acks   msgs   mbs
256 129985 163714 293700 601439 # receiver's netdev_budget=5
256 122245 171830 294075 602181 # 10
256 89887 190412 280299 574007  # 20
256 92510 188063 280573 574545  # 30
256 110642 179137 289780 593462 # 40
256 124073 170354 294427 602936 # 50
256 182194 113298 295492 605134 # 100
256 276881 16792 293673 601402  # 1000
256 280287 13851 294139 602389  # 10000

Attaching a small patch to proc.txt with some very simple test.
Comment 1 Andrew Hecox 2008-09-22 13:45:54 EDT
Created attachment 317392 [details]
patch to add netdev_budget to proc.txt
Comment 2 RHEL Product and Program Management 2009-02-16 10:31:14 EST
Updating PM score.
Comment 3 RHEL Product and Program Management 2009-02-16 11:50:37 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-09-02 04:52:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.